package com.sunxung.factoring.entity.fundmanagement;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;

/**
 * @Description 客户信息审核表实体类
 * @Author Yafan Wang
 * @Date 2023/2/9 15:11
 */
@TableName("financial_customer_approval_info")
public class FinancialCustomerApprovalInfo extends BaseEntity {

    /** 客户信息表ID **/
    @TableField(value = "financial_customer_info_id")
    private Long financialCustomerInfoId;
    /** 通过pass/退回back/拒绝veto **/
    @TableField(value = "approval_conclusion")
    private String approvalConclusion;
    /** 审批意见 **/
    @TableField(value = "approval_comments")
    private String approvalComments;
    /** 处理人id **/
    @TableField(value = "assignee_id")
    private Long assigneeId;
    @TableField(exist = false)
    private String taskId;
    public Long getFinancialCustomerInfoId() {
        return financialCustomerInfoId;
    }

    public void setFinancialCustomerInfoId(Long financialCustomerInfoId) {
        this.financialCustomerInfoId = financialCustomerInfoId;
    }

    public String getApprovalConclusion() {
        return approvalConclusion;
    }

    public void setApprovalConclusion(String approvalConclusion) {
        this.approvalConclusion = approvalConclusion;
    }

    public String getApprovalComments() {
        return approvalComments;
    }

    public void setApprovalComments(String approvalComments) {
        this.approvalComments = approvalComments;
    }

    public Long getAssigneeId() {
        return assigneeId;
    }

    public void setAssigneeId(Long assigneeId) {
        this.assigneeId = assigneeId;
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }
}
